﻿#region Using

using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Collections.Specialized;
using System.Collections.Generic;
using BlogEngine.Core;
using System.Drawing;

#endregion


/* Flash Tag Cloud for Blog Engine.
     Author: Ugo Chirico - http://www.ugochirico.com 
     Data: 2010/09/28
     Based upon wpCumulus, the flash tag cloud for word press
*/
public partial class widgets_FlashTag_cloud_widget : WidgetBase
{

	public override void LoadWidget()
	{		        
        StringDictionary settings = GetSettings();

        if (settings.ContainsKey("flashtagcloud.backcolor") && !string.IsNullOrEmpty(settings["flashtagcloud.backcolor"]))
        {
            flashTagCloud.BackColor= (Color)(new ColorConverter()).ConvertFromString(settings["flashtagcloud.backcolor"]);
        }
        else
        {
            flashTagCloud.BackColor = (Color)(new ColorConverter()).ConvertFromString("#FFFFFF");
        }

        if (settings.ContainsKey("flashtagcloud.height") && !string.IsNullOrEmpty(settings["flashtagcloud.height"]))
        {
            flashTagCloud.Height = Int32.Parse(settings["flashtagcloud.height"]);
        }
        else
        {
            flashTagCloud.Height = 150;
        }

        if (settings.ContainsKey("flashtagcloud.width") && !string.IsNullOrEmpty(settings["flashtagcloud.width"]))
        {
            flashTagCloud.Width = Int32.Parse(settings["flashtagcloud.width"]);
        }
        else
        {
            flashTagCloud.Width = 150;
        }

        if (settings.ContainsKey("flashtagcloud.hicolor") && !string.IsNullOrEmpty(settings["flashtagcloud.hicolor"]))
        {
            flashTagCloud.HiColor = (Color)(new ColorConverter()).ConvertFromString(settings["flashtagcloud.hicolor"]);
        }
        else
        {
            flashTagCloud.HiColor = (Color)(new ColorConverter()).ConvertFromString("#FF0000");
        }

        if (settings.ContainsKey("flashtagcloud.tagcolor1") && !string.IsNullOrEmpty(settings["flashtagcloud.tagcolor1"]))
        {
            flashTagCloud.TagColor1 = (Color)(new ColorConverter()).ConvertFromString(settings["flashtagcloud.tagcolor1"]);
        }
        else
        {
            flashTagCloud.TagColor1 = (Color)(new ColorConverter()).ConvertFromString("#555555");
        }

        if (settings.ContainsKey("flashtagcloud.tagcolor2") && !string.IsNullOrEmpty(settings["flashtagcloud.tagcolor2"]))
        {
            flashTagCloud.TagColor2 = (Color)(new ColorConverter()).ConvertFromString(settings["flashtagcloud.tagcolor2"]);
        }
        else
        {
            flashTagCloud.TagColor2 = (Color)(new ColorConverter()).ConvertFromString("#000000");
        }

        if (settings.ContainsKey("flashtagcloud.speed") && !string.IsNullOrEmpty(settings["flashtagcloud.speed"]))
        {
            flashTagCloud.TagSpeed = Int32.Parse(settings["flashtagcloud.speed"]);
        }
        else
        {
            flashTagCloud.TagSpeed = 100;
        }

        if (settings.ContainsKey("flashtagcloud.maxsize") && !string.IsNullOrEmpty(settings["flashtagcloud.maxsize"]))
        {
            flashTagCloud.MaximumTagSize = Int32.Parse(settings["flashtagcloud.maxsize"]);
        }
        else
        {
            flashTagCloud.MaximumTagSize = 20;
        }

        if (settings.ContainsKey("flashtagcloud.minsize") && !string.IsNullOrEmpty(settings["flashtagcloud.minsize"]))
        {
            flashTagCloud.MinimumTagSize = Int32.Parse(settings["flashtagcloud.minsize"]);
        }
        else
        {
            flashTagCloud.MinimumTagSize = 20;
        }

        if (settings.ContainsKey("flashtagcloud.transparent") && !string.IsNullOrEmpty(settings["flashtagcloud.transparent"]))
        {
            flashTagCloud.Transparent = Boolean.Parse(settings["flashtagcloud.transparent"]);
        }
        else
        {
            flashTagCloud.Transparent = false;
        }

        if (settings.ContainsKey("flashtagcloud.distr") && !string.IsNullOrEmpty(settings["flashtagcloud.distr"]))
        {
            flashTagCloud.Distr = Boolean.Parse(settings["flashtagcloud.distr"]);
        }
        else
        {
            flashTagCloud.Distr = true;
        }


	}

	/// <summary>
	/// Initializes the <see cref="widgets_Tag_cloud_widget"/> class.
	/// </summary>
    static widgets_FlashTag_cloud_widget()
	{
		Post.Saved += delegate { Reload(); };
	}

	public static void Reload()
	{
		
	}

	

	/// <summary>
	/// Gets the name. It must be exactly the same as the folder that contains the widget.
	/// </summary>
	/// <value></value>
	public override string Name
	{
		get { return "Flash Tag cloud"; }
	}

	/// <summary>
	/// Gets wether or not the widget can be edited.
	/// <remarks>
	/// The only way a widget can be editable is by adding a edit.ascx file to the widget folder.
	/// </remarks>
	/// </summary>
	/// <value></value>
	public override bool IsEditable
	{
		get { return true; }
	}

}
